Bug 798639 - JDG "UI" Branding (logo, style, favicon, javadocs, etc)
JDG "UI" Branding (logo, style, favicon, javadocs, etc)
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0.0
Assigned To: Tristan Tarrant
Martin Gencur
Depends On:
  Show dependency treegraph
Reported: 2012-02-29 08:22 EST by Tristan Tarrant
Modified: 2015-02-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tristan Tarrant 2012-02-29 08:22:36 EST
We need branding for some user-facing aspects of JDG:
- favicon
- logo
- stylesheets
- javadoc
Comment 1 mark yarborough 2012-05-09 09:23:21 EDT
Per Tristan triage, moved from ER8 to ER9 target release.
Comment 2 prabhat jha 2012-05-23 15:46:26 EDT
Tristan, what is to be verified here?
Comment 3 Tristan Tarrant 2012-05-24 03:27:20 EDT
Basically the "look" of the REST interface as that is our only "visible" bit
Comment 4 Martin Gencur 2012-05-24 03:56:38 EDT
I found some minor issues in the REST interface:


behaivour -> behavior
ie everything -> i.e. everything
Enterprise Data Grid -> JBoss Data Grid (twice in the UI)

Not very good example of storing a key-value pair:


... "payRoll/3" is the key here. This does not work as suggested in the UI. If we want to use such a key, we need to URL-encode it so that it looks like "payroll%2F3" and we also need to enable -Dorg.apache.tomcat.util.buf.UDecoder.ALLOW_ENCODED_SLASH=true

I'd suggest some normal example here - with a key not containing slashes :)
Comment 5 Martin Gencur 2012-06-01 08:59:40 EDT
None of the issues mentioned earlier were fixed. Setting back ON_DEV.
Comment 6 Martin Gencur 2012-06-08 07:04:17 EDT
Verified with CR1
Comment 7 Martin Gencur 2012-06-08 07:07:45 EDT
Oops. I found out that the links in the top-right corner point to incorrect locations:

"Documentation" link points to Beta documentation (is that right?)
"More Info" link points to non-existing URL.

Should this be put back to ON_DEV ?
Comment 8 Tristan Tarrant 2012-06-08 07:41:31 EDT
Misha has given me the final location for the Documentation.
Alan needs to give me the proper URL for "More Info"
Comment 9 Tristan Tarrant 2012-06-09 08:43:11 EDT
The documentation link is now final and the More Info link should go live soon according to Alan.
Comment 10 Martin Gencur 2012-07-23 03:38:31 EDT
Those links were not available at the time of testing CR2. Now they are - verified.

Note You need to log in before you can comment on or make changes to this bug.